Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025602
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-01-30 09:342014-02-12 18:29
ReporteregoitzView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revisionadf0b763ad36
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025602: The time fiels are modified after save a record

DescriptionAfter save a record where exits a time field, the time is changes after click on save.
Steps To Reproduce-Go to process request window
-Create a new record
-Define the request as scheduled to show the start_time field
-Define a start_time
-Save
-Refresh
*See that the value is changed

-If you have previously shown the start_time field on grid view the error does not happen
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0025274 closedAugustoMauch The time fields are not working properly 
blocks defect 00258273.0PR14Q2 closedAugustoMauch Time fields are not working properly in timezones with negative offsets 

-  Notes
(0063823)
hgbot (developer)
2014-01-31 11:42

Repository: erp/devel/pi
Changeset: adf0b763ad3674b9f14cc06c5d80e3aee4b24cc5
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri Jan 31 11:41:31 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/adf0b763ad3674b9f14cc06c5d80e3aee4b24cc5 [^]

Fixes issue 25602: Time fields behave properly when record is refreshed

The value that is passed to TimeUIDefinition.convertToClassicString is taken from the database, so is stored in the server local timezone. It needs to be conv
erted to UTC before formatting it in a String

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/TimeUIDefinition.java
---
(0063844)
shankarb (developer)
2014-02-03 04:22

Code reviewed and verified in pi changeset dd19b027b406.
(0064142)
hudsonbot (developer)
2014-02-12 18:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d1a5bb862230 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-01-30 09:34 egoitz New Issue
2014-01-30 09:34 egoitz Assigned To => AugustoMauch
2014-01-30 09:34 egoitz Modules => Core
2014-01-30 09:34 egoitz Triggers an Emergency Pack => No
2014-01-30 09:36 egoitz Steps to Reproduce Updated View Revisions
2014-01-30 09:37 egoitz Regression level => Production - Confirmed Stable
2014-01-30 09:37 egoitz Relationship added related to 0025274
2014-01-31 11:41 AugustoMauch Issue Monitored: shankarb
2014-01-31 11:41 AugustoMauch Review Assigned To => shankarb
2014-01-31 11:42 hgbot Checkin
2014-01-31 11:42 hgbot Note Added: 0063823
2014-01-31 11:42 hgbot Status new => resolved
2014-01-31 11:42 hgbot Resolution open => fixed
2014-01-31 11:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/adf0b763ad3674b9f14cc06c5d80e3aee4b24cc5 [^]
2014-02-03 04:22 shankarb Note Added: 0063844
2014-02-03 04:22 shankarb Status resolved => closed
2014-02-03 04:22 shankarb Fixed in Version => 3.0MP32
2014-02-12 18:29 hudsonbot Checkin
2014-02-12 18:29 hudsonbot Note Added: 0064142
2014-02-25 11:11 AugustoMauch Relationship added blocks 0025827


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker